Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.home
Class HomeModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.home.HomeModel

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DayViewHomeModel, MailHomeModel, MonthViewHomeModel, SummaryModel, TasksHomeModel, WeekViewHomeModel

public class HomeModel
extends AbstractModel
implements java.io.Serializable

This class represents the data model for the home page (`home.jsp`).

See Also:
  Serialized Form

Constructor Summary
`HomeModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, FeatureGroup featureGroup, GroupwarePreferences groupwarePrefs, HomePreferences homePrefs, FeatureGroup.Feature feature, Accounts accounts)` Constructor.

Method Summary
`java.lang.String` | `getDateString(java.util.Date date)` Gets the localized date string for the specified date.
`FeatureGroup.Feature` | `getFeature()` Gets the active feature.
`HomePreferences` | `getHomePreferences()` Gets the home preferences.
`java.lang.String` | `getTimeString(java.util.Date time)` Gets the localized time string for the specified time.
`boolean` | `isOnlyOneFeatureAvailable()` Indicates whether only one feature is available.

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HomeModel

    public HomeModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                     FeatureGroup featureGroup,
                     GroupwarePreferences groupwarePrefs,
                     HomePreferences homePrefs,
                     FeatureGroup.Feature feature,
                     Accounts accounts)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `featureGroup` - the feature group (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `homePrefs` - the home preferences (may not be `null`)
  `feature` - the feature group

Method Detail

### getHomePreferences

    public HomePreferences getHomePreferences()

  Gets the home preferences.

  Returns:
    the home preferences

### getFeature

    public FeatureGroup.Feature getFeature()

  Gets the active feature.

  Returns:
    the active feature

### getTimeString

    public java.lang.String getTimeString(java.util.Date time)

  Gets the localized time string for the specified time.

  Parameters:
    `time` - the time
  Returns:
    the localized time string for the specified time

### getDateString

    public java.lang.String getDateString(java.util.Date date)

  Gets the localized date string for the specified date.

  Parameters:
    `date` - the date
  Returns:
    the localized date string for the specified date

### isOnlyOneFeatureAvailable

    public boolean isOnlyOneFeatureAvailable()

  Indicates whether only one feature is available.

  Returns:
    `true` if only one feature is available or `false` otherwise

    Calendar, mail, tasks, address book, etc are considered features while home feature is not.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.